## gdmd 2.100+git200102

=== Makefile ===
# -*- mode: makefile -*-

# gdmd -- dmd-like wrapper for gdc.
# Copyright (C) 2011, 2012 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GCC; see the file COPYING3.  If not see
# <http://www.gnu.org/licenses/>.


DESTDIR = 
prefix = /usr/local
bindir = $(prefix)/bin
man1dir = $(prefix)/share/man/man1

src = dmd-script
man = dmd-script.1

all:


install: $(DESTDIR)$(bindir)/gdmd $(DESTDIR)$(man1dir)/gdmd.1


$(DESTDIR)$(bindir)/gdmd: $(src)
	-rm -f $@
	-install $< $@


$(DESTDIR)$(man1dir)/gdmd.1: $(man)
	-rm -f $@
	-install -m 644 $< $@


uninstall:
	-rm -f $(DESTDIR)$(bindir)/gdmd
	-rm -f $(DESTDIR)$(man1dir)/gdmd.1

## gdmd 2.068.2+git190828

=== debian/changelog ===
gdmd (2.068.2+git190828-2) unstable; urgency=medium

  * No-change rebuild on the Debian autobuilders

 -- Matthias Klumpp <mak@debian.org>  Sun, 08 Sep 2019 22:56:54 +0200

gdmd (2.068.2+git190828-1) unstable; urgency=medium

  * Initial release

 -- Matthias Klumpp <mak@debian.org>  Sat, 31 Aug 2019 16:04:46 +0200

=== debian/control ===
Source: gdmd
Section: devel
Priority: optional
Maintainer: Debian D Language Group <team+d-team@tracker.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper-compat (= 12),
               gdc (>= 4:9.2)
Standards-Version: 4.4.0
Homepage: https://github.com/D-Programming-GDC/gdmd
Vcs-Git: https://salsa.debian.org/d-team/gdmd.git
Vcs-Browser: https://salsa.debian.org/d-team/gdmd

Package: gdmd
Architecture: all
Depends: gdc (>= 4:9.2),
         ${misc:Depends},
         ${shlibs:Depends}
Description: DMD-like wrapper for GDC
 This package provides `gdmd`, an interface to the GNU D compiler (GDC), which
 recognizes flags normally used with the DMD D compiler and translates them to
 flags GDC can understand.
 This makes `gdmd` a drop-in replacement to the `dmd` compiler invocation.
 .
 The GNU D compiler compiles D sources using the gcc backend to generate
 highly optimized binaries.

## gdmd 2.100%2Bgit240529

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	make install prefix=/usr DESTDIR=$(CURDIR)/debian/gdmd

## gdmd 2.100+git200102

=== debian/changelog ===
gdmd (2.100+git200102-1) unstable; urgency=medium

  * New upstream version: 2.100+git200102
    - The version number is completely messed up now,
      upstream calls this version "0.1.0", going backwards
      from "2.068.2". So in the long run, upstream needs to
      fix the versioning, or we need an epoch in the package.
      Packaged is the release tagged on 2020-01-02.
  * Bump standards version: No changes needed
  * Mark rules as not requiring root

 -- Matthias Klumpp <mak@debian.org>  Sat, 15 Feb 2020 19:05:04 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 12),
                gdc (>= 4:9.2)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/D-Programming-GDC/gdmd
 Vcs-Git: https://salsa.debian.org/d-team/gdmd.git
 Vcs-Browser: https://salsa.debian.org/d-team/gdmd

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 override_dh_auto_install:
 	make install prefix=/usr DESTDIR=$(CURDIR)/debian/gdmd
+
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/watch ===
version=3

https://github.com/D-Programming-GDC/gdmd/tags .*/v?(\d\S*)\.tar\.gz

## gdmd 2.100+git210818

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,8 @@
 
 
 DESTDIR = 
+target_prefix = 
+program_suffix =
 prefix = /usr/local
 bindir = $(prefix)/bin
 man1dir = $(prefix)/share/man/man1
@@ -29,22 +31,23 @@
 all:
 
 
-install: $(DESTDIR)$(bindir)/gdmd $(DESTDIR)$(man1dir)/gdmd.1
+install: $(DESTDIR)$(bindir)/$(target_prefix)gdmd$(program_suffix) \
+         $(DESTDIR)$(man1dir)/$(target_prefix)gdmd$(program_suffix).1
 
 
-$(DESTDIR)$(bindir)/gdmd: $(src)
+$(DESTDIR)$(bindir)/$(target_prefix)gdmd$(program_suffix): $(src)
 	-rm -f $@
 	-install $< $@
 
 
-$(DESTDIR)$(man1dir)/gdmd.1: $(man)
+$(DESTDIR)$(man1dir)/$(target_prefix)gdmd$(program_suffix).1: $(man)
 	-rm -f $@
 	-install -m 644 $< $@
 
 
 uninstall:
-	-rm -f $(DESTDIR)$(bindir)/gdmd
-	-rm -f $(DESTDIR)$(man1dir)/gdmd.1
+	-rm -f $(DESTDIR)$(bindir)/$(target_prefix)gdmd$(program_suffix)
+	-rm -f $(DESTDIR)$(man1dir)/$(target_prefix)gdmd$(program_suffix).1

=== debian/changelog ===
gdmd (2.100+git210818-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Matthias Klumpp ]
  * New upstream snapshot: 2.100+git210818

 -- Matthias Klumpp <mak@debian.org>  Sun, 05 Feb 2023 22:12:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian D Language Group <team+d-team@tracker.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               gdc (>= 4:9.2)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+               gdc (>= 4:12.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/D-Programming-GDC/gdmd
 Vcs-Git: https://salsa.debian.org/d-team/gdmd.git
@@ -13,7 +13,7 @@
 
 Package: gdmd
 Architecture: all
-Depends: gdc (>= 4:9.2),
+Depends: gdc (>= 4:12.2),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: DMD-like wrapper for GDC

=== debian/watch ===
version=4

https://github.com/D-Programming-GDC/gdmd/tags .*/v?(\d\S*)\.tar\.gz

## gdmd 2.100+git240529

=== debian/changelog ===
gdmd (2.100+git240529-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 20 Jan 2026 20:32:01 +0000

gdmd (2.100+git240529-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ liushuyu ]
  * New upstream version 2.100+git240529

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Jan 2025 17:13:19 +0100
